Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA1xLMD144142
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA1xLMD144142	(revision 3687)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA1xLMD144142	(revision 3688)
@@ -19,5 +19,5 @@
 #
  $NFIELDS
-            25
+            27
  $END
 ###############################################################################
@@ -40,5 +40,5 @@
 #
  $NLOGPRT
-   2 <lucia_ok>
+   0 <lucia_ok>
  $END
 # 
@@ -51,17 +51,15 @@
 # Field 1 : Weighted sea surface temperature (o->a 1)
 # 
-O_SSTSST  SISUTESW 1 <freq_coupling>  4  sstoc.nc  <output_mode> 
-362 292 144 143 torc  tlmd  LAG=<lag_oce>
-P  2 P  0
-LOCTRANS CHECKIN MAPPING CHECKOUT
+O_SSTSST  SISUTESW 1 <freq_coupling>  2  sstoc.nc  <output_mode> 
+362 332 144 143 torc  tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
 # LOCTRANS: AVERAGE to average value over coupling period
  AVERAGE
 # CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
 # Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
 #         number of overlapped neighbors
 rmp_torc_to_tlmd_MOSAIC.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
 #
 ############################################################################
@@ -69,16 +67,14 @@
 # Field 2 : Sea ice extent  (o->a 2)
 #
-OIceFrc SIICECOV 44 <freq_coupling>  4  sstoc.nc <output_mode>
-362 292 144 143 torc  tlmd   LAG=<lag_oce>
-P  2 P  0
-#
-LOCTRANS CHECKIN MAPPING  CHECKOUT 
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-#
-rmp_torc_to_tlmd_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+OIceFrc SIICECOV 44 <freq_coupling>  2  sstoc.nc <output_mode>
+362 332 144 143 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 #
@@ -87,15 +83,13 @@
 # Field 3 : Weighted Sea Ice Temperature (o->a 3)
 #
-O_TepIce  SIICTEMW 34 <freq_coupling>  4  sstoc.nc  <output_mode>
-362 292 144 143 torc  tlmd   LAG=<lag_oce>
-P  2 P  0
-LOCTRANS CHECKIN MAPPING CHECKOUT
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# 
-rmp_torc_to_tlmd_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+O_TepIce  SIICTEMW 34 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# 
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 ############################################################################
@@ -103,16 +97,14 @@
 # Field 4 : Weighted Sea ice albedo (o->a 4)
 #
-O_AlbIce  SIICEALW 17 <freq_coupling>  4  sstoc.nc  <output_mode>
-362 292 144 143 torc  tlmd  LAG=<lag_oce>  
-P  2 P  0
-#
-LOCTRANS CHECKIN MAPPING CHECKOUT
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-#
-rmp_torc_to_tlmd_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+O_AlbIce  SIICEALW 17 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd  LAG=<lag_oce>  
+P  2 P  0
+#
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 #
@@ -120,15 +112,13 @@
 #
 # Field 5 : Current surface (o->a 5)
-O_OCurx1 CURRENTX 321 <freq_coupling>  4  sstoc.nc  <output_mode>
-362 292 144 143 torc    tlmd  LAG=<lag_oce>
-P  2 P  0
-LOCTRANS CHECKIN MAPPING CHECKOUT
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-#
-rmp_torc_to_tlmd_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1  
+O_OCurx1 CURRENTX 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 #
@@ -136,30 +126,26 @@
 #
 # Field 6 : Current surface (o->a 6)
-O_OCury1 CURRENTY 321 <freq_coupling>  4  sstoc.nc  <output_mode>
-362 292 144 143 torc    tlmd  LAG=<lag_oce>
-P  2 P  0
-LOCTRANS CHECKIN MAPPING CHECKOUT
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-#
-rmp_torc_to_tlmd_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+O_OCury1 CURRENTY 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #  
 ############################################################################
 #
 # Field 7 : Current surface (o->a 7)
-O_OCurz1 CURRENTZ 321 <freq_coupling>  4  sstoc.nc  <output_mode>
-362 292 144 143 torc    tlmd  LAG=<lag_oce>
-P  2 P  0
-LOCTRANS CHECKIN MAPPING CHECKOUT
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-#
-rmp_torc_to_tlmd_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+O_OCurz1 CURRENTZ 321 <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 #
@@ -172,201 +158,177 @@
 # Field 8 : wind stress along X axis (a->o 1)
 #
-COTAUXXU O_OTaux1 23 <freq_coupling>  3  flxat.nc   <output_mode>
-144 143 362 292 tlmd    uorc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
+COTAUXXU O_OTaux1 23 <freq_coupling>  1  flxat.nc   <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 9 : stress along Y axis (a->o 2)
+#
+COTAUYYU O_OTauy1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+###########################################################################
+#
+# Field 10 :wind stress along Z axis (a->o 3)
+#
+COTAUZZU O_OTauz1 23 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_uorc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 11 : wind stress along X axis 2 (a->o 4)
+#
+COTAUXXV O_OTaux2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm> 
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
 BILINEAR LR SCALAR LATLON 10
 # CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+#
+##########################################################################
+#
+# Field 12 : wind stress along Y axis 2 (a->o 5) 
+#
+COTAUYYV O_OTauy2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 13 :  wind stress along Z axis 2 (a->o 6) 
+#
+COTAUZZV O_OTauz2  24 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+SCRIPR
+# CHECKIN: indicate computation of global, land and sea field integrals.
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+# Field 14 :  wind speed 10m (a->o 7) 
+#
+COWINDSP O_Wind10  56 <freq_coupling>  1    flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_BILINEAR_Corrected.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+# 
+#########################################################################
+#
+# Field 15 : Total rain (a->o 8)
+#
+COTOTRAI OTotRain 26 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 16 :  Total snow (a->o 9)
+#
+COTOTSNO  OTotSnow 28 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 17 : Total evap (a->o 10)
+#
+COTOTEVA  OTotEvap 25 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 18 : Evaporation Ice  (a->o 11)
+#
+COICEVAP OIceEvap 41 <freq_coupling>  1   flxat.nc   <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+##########################################################################
+#
+# Field 19 : Total solar heat flux (a->o 12)
+#
+COQSRMIX O_QsrMix  7 <freq_coupling> 1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 20 : Total Non solar heat flux (a->o 13)
+#
+COQNSMIX O_QnsMix 6 <freq_coupling>  1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc   LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 ###########################################################################
 #
-# Field 9 : stress along Y axis (a->o 2)
-#
-COTAUYYU O_OTauy1 23 <freq_coupling>  3  flxat.nc  <output_mode>
-144 143 362 292 tlmd    uorc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-BILINEAR LR SCALAR LATLON 10
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-###########################################################################
-#
-# Field 10 :wind stress along Z axis (a->o 3)
-#
-COTAUZZU O_OTauz1 23 <freq_coupling>  3  flxat.nc  <output_mode>
-144 143 362 292 tlmd    uorc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-BILINEAR LR SCALAR LATLON 10
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-#
-# Field 11 : wind stress along X axis 2 (a->o 4)
-#
-COTAUXXV O_OTaux2  24 <freq_coupling>  3    flxat.nc  <output_mode>
-144 143 362 292 tlmd    vorc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-BILINEAR LR SCALAR LATLON 10
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-#
-# Field 12 : wind stress along Y axis 2 (a->o 5) 
-#
-COTAUYYV O_OTauy2  24 <freq_coupling>  3    flxat.nc  <output_mode>
-144 143 362 292 tlmd    vorc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-BILINEAR LR SCALAR LATLON 10
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-#
-# Field 13 :  wind stress along Z axis 2 (a->o 6) 
-#
-COTAUZZV O_OTauz2  24 <freq_coupling>  3    flxat.nc  <output_mode>
-144 143 362 292 tlmd    vorc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-BILINEAR LR SCALAR LATLON 10
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-#########################################################################
-# Field 14 :  wind speed 10m (a->o 7) 
-#
-COWINDSP O_Wind10  56 <freq_coupling>  3    flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN SCRIPR CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-BILINEAR LR SCALAR LATLON 10
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-# 
-#########################################################################
-#
-# Field 15 : Total rain (a->o 8)
-#
-COTOTRAI OTotRain 26 <freq_coupling>  3   flxat.nc   <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-#
-# Field 16 :  Total snow (a->o 9)
-#
-COTOTSNO  OTotSnow 28 <freq_coupling>  3   flxat.nc   <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-#########################################################################
-#
-# Field 17 : Total evap (a->o 10)
-#
-COTOTEVA  OTotEvap 25 <freq_coupling>  3   flxat.nc   <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-#
-# Field 18 : Evaporation Ice  (a->o 11)
-#
-COICEVAP OIceEvap 41 <freq_coupling>  3   flxat.nc   <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-#
-# Field 19 : Total solar heat flux (a->o 12)
-#
-COQSRMIX O_QsrMix  7 <freq_coupling> 3   flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
+# Field 21 : solar heat flux on ice (a->o 14)
+#
+COSHFICE O_QsrIce  7 <freq_coupling> 1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method or mozaic parameters
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-#########################################################################
-#
-# Field 20 : Total Non solar heat flux (a->o 13)
-#
-COQNSMIX O_QnsMix 6 <freq_coupling>  3   flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc   LAG=<lag_atm>
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-###########################################################################
-#
-# Field 21 : solar heat flux on ice (a->o 14)
-#
-COSHFICE O_QsrIce  7 <freq_coupling> 3   flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method or mozaic parameters
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 ############################################################################
@@ -374,14 +336,12 @@
 # Field 22 : Non solar heat flux on ice (a->o 15)
 #
-CONSFICE O_QnsIce 6 <freq_coupling>  3  flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+CONSFICE O_QnsIce 6 <freq_coupling>  1  flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 ############################################################################
@@ -389,42 +349,64 @@
 # Field 23 : Non solar heat flux derivative (a->o 16)
 #
-CODFLXDT O_dQnsdT  35 <freq_coupling>  3   flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm>
-P  0 P  2
-CHECKIN MAPPING CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC.nc src
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-#########################################################################
-#
-# Field 24 : iceberg calving (a->o 17)
-#
-COCALVIN OCalving  36 <freq_coupling>  4  flxat.nc  <output_mode>
-144 143 362 292 tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN MAPPING BLASNEW CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-rmp_tlmd_to_torc_MOSAIC_calvin.nc src
-# Set to ZERO \!/
-0.0 0
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-#########################################################################
-#
-# Field 25 : liquid run-off (river + direct)  (a->o 18)
-#
-COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
-144 143 362 292 aone    otot  LAG=<lag_atm> 
-P  0 P  2
-CHECKIN MAPPING CONSERV BLASNEW CHECKOUT
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
+CODFLXDT O_dQnsdT  35 <freq_coupling>  1   flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+MAPPING
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 24 : iceberg calving north (a->o 17)
+#
+COCALVIN OCalving  36 <freq_coupling_roff_calv>  2  flxat.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_nosouth.nc dst
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#
+#########################################################################
+#
+# Field 25 : iceberg melting (a->o 17)
+#
+COCALVIN OIceberg  36 <freq_coupling_roff_calv>  3  icbrg.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_iceberg.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+#########################################################################
+#
+# Field 26 : ice shelf melting (a->o 17)
+#
+COCALVIN OIcshelf  36 <freq_coupling_roff_calv>  3  icshf.nc  <output_mode>
+144 143 362 332 tlmd    torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING BLASNEW
+AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calving_iceshelf.nc dst
+0.5 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+##########################################################################
+#
+# Field 27 : liquid run-off (river + direct)  (a->o 18)
+#
+COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
+144 143 362 332 aone  torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING CONSERV BLASNEW
+AVERAGE
 # Interpolation method ou parametres mozaic
 # weights convert from kg/s to kg/m^2/s
@@ -433,7 +415,6 @@
 GLOBAL bfb
 # change units from m/s to kg/s
-0.0 0
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
 #
 #########################################################################
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA1xLMD9695
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA1xLMD9695	(revision 3687)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA1xLMD9695	(revision 3688)
@@ -413,5 +413,5 @@
 rmp_tlmd_to_torc_MOSAIC_calvin.nc src
 # Set to ZERO \!/
-0.0 0
+1.0 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
@@ -422,5 +422,5 @@
 #
 COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
-96 96 362 292 aone    otot  LAG=<lag_atm> 
+96 96 362 292 aone torc  LAG=<lag_atm> 
 P  0 P  2
 CHECKIN MAPPING CONSERV BLASNEW CHECKOUT
@@ -433,5 +433,5 @@
 GLOBAL bfb
 # change units from m/s to kg/s
-0.0 0
+1000.0 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 3687)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 3688)
@@ -420,5 +420,5 @@
 #
 COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
-144 143 182 149 aone    otot  LAG=<lag_atm> 
+144 143 182 149 aone torc  LAG=<lag_atm> 
 P  0 P  2
 CHECKIN MAPPING CONSERV BLASNEW CHECKOUT
Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA2xLMD9695
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA2xLMD9695	(revision 3687)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/namcouple_ORCA2xLMD9695	(revision 3688)
@@ -420,5 +420,5 @@
 #
 COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
-96 96 182 149 aone    otot  LAG=<lag_atm> 
+96 96 182 149 aone torc  LAG=<lag_atm> 
 P  0 P  2
 CHECKIN MAPPING CONSERV BLASNEW CHECKOUT
